{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.mace.attack": {
			"states": {
				"default": {
					"transitions": [
						{
							"unsheathe": "variable.mace"
						},
						{
							"undefault": "!query.is_item_name_any('slot.hotbar',0,'pixel:wooden_mace') && !query.is_item_name_any('slot.hotbar',0,'pixel:stone_mace')&&!query.is_item_name_any('slot.hotbar',0,'pixel:iron_mace')&&!query.is_item_name_any('slot.hotbar',0,'pixel:golden_mace')&&!query.is_item_name_any('slot.hotbar',0,'pixel:diamond_mace')&&!query.is_item_name_any('slot.hotbar',0,'pixel:netherite_mace')"
						}
					]
				},
				"undefault": {
					"transitions": [
						{
							"mace": "variable.mace"
						},
						{
							"default": "query.is_item_name_any('slot.hotbar',0,'pixel:wooden_mace')||query.is_item_name_any('slot.hotbar',0,'pixel:stone_mace')||query.is_item_name_any('slot.hotbar',0,'pixel:iron_mace')||query.is_item_name_any('slot.hotbar',0,'pixel:golden_mace')||query.is_item_name_any('slot.hotbar',0,'pixel:diamond_mace')||query.is_item_name_any('slot.hotbar',0,'pixel:netherite_mace')"
						}
					]
				},
				"unsheathe": {
					"animations": [
					  "mace_unsheathe"
					],
					"transitions": [
						{
							"mace": "query.all_animations_finished"
						},
						{
							"default": "!variable.mace"
						}
					]
				},
				"mace": {
				    "animations": [
				      "mace_base_pose",
				     "katana_unsheathed_0",
                      "mace_no_back"
				    ],
					"transitions": [
						{
							"move": "query.is_moving"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"sneak": "query.is_sneaking"
						},
						{
							"default": "!variable.mace"
						}
					]
				},
				"sneak": {
					"animations": [
					  {
				        "mace_sneak": "!v.shield_off"
					  },
					  {
				        "mace_shield_sneak": "v.shield_off"
					  },
                      "mace_no_back"
					],
					"transitions": [
						{
							"default": "!variable.mace"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"sneak_move": "query.is_moving"
						},
						{
							"mace": "!query.is_sneaking"
						}
					]
				},
				"ride": {
					"animations": [
					  {
					    "no_attack_ride": "!query.is_moving"
					  },
					  {
					    "no_attack_ride_move": "query.is_moving"
					  }
					],
					"transitions": [
						{
							"default": "!variable.mace"
						},
						{
							"mace": "!query.is_riding"
						}
					]
				},
				"move": {
					"animations": [
					  "mace_move",
					  "katana_unsheathed_0",
                      "mace_no_back"
					],
					"transitions": [
						{
							"default": "!variable.mace"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"mace": "!query.is_moving"
						},
						{
							"sprint": "query.is_sprinting"
						},
						{
							"sneak": "query.is_sneaking"
						}
					]
				},
				"sprint": {
					"animations": [
                      "mace_no_back",
					  "katana_unsheathed_0",
					  {
				        "mace_sprint": "!v.shield_off"
					  },
					  {
				        "mace_shield_sprint": "v.shield_off"
					  }
					],
					"transitions": [
						{
							"default": "!variable.mace"
						},
						{
							"mace": "!query.is_sprinting"
						}
					]
				},
				"sneak_move": {
					"animations": [
                      "mace_no_back",
					  "katana_unsheathed_0",
					  {
				        "mace_sneak_move": "!v.shield_off"
					  },
					  {
				        "mace_shield_sneak_move": "v.shield_off"
					  }
					],
					"transitions": [
						{
							"default": "!variable.mace"
						},
						{
							"ride": "query.is_riding"
						},
						{
							"mace": "!query.is_sneaking"
						},
						{
							"move": "!query.is_sprinting"
						},
						{
							"sneak": "query.is_sneaking && !query.is_moving"
						}
					]
				}
			}
		}
	}
}